using System;
using UnityEngine;


[Serializable]
public sealed class VehicleBlueprint
{
    [SerializeField]
    private VehicleType type = VehicleType.Light;
    [SerializeField]
    private string id = string.Empty;
    [SerializeField]
    private int lives = 100;
    [SerializeField]
    private float reloadTime = 1f;
    [SerializeField]
    private int meshId = 0;
    [SerializeField]
    private BulletBlueprint bullet = new BulletBlueprint();
    [SerializeField]
    public Vector3 offset = Vector3.zero;

    public VehicleType Type => type;
    public string ID => id;
    public int Lives => lives;
    public int MeshId => meshId;
    public float ReloadTime => reloadTime;
    public BulletBlueprint Bullet => bullet;
    public Vector3 Offset => offset;
}
